module Lib
  ( runBothServers,
  )
where

import ClassyPrelude
import WebServer (runWebServer)
import WebSocket (initMVarState, runWebSocketServer)

runBothServers :: IO ()
runBothServers = do
  mVarState <- initMVarState
  _ <- concurrently (runWebSocketServer mVarState) (runWebServer mVarState)
  return ()
